
EXPERT ROOT - bugs #212

Работа с массой ионов в Geant

07/11/2018 10:05 AM - Vitaliy Schetinin

Status: Закрыта Start date: 07/11/2018

Priority: Низкий Due date:  

Assignee: Mikhail Kozlov % Done: 100%

Category:  Estimated time: 0.00 hour

Target version:    

Description

Периодически возникает проблема с расчетом и учетом массы ионов.

Необходимо выроботать процедуру работы с этим в er. Если массу нельзя передать в Geant, то научиться просто выводить

ее значение в макросах.

History

#1 - 07/12/2018 02:46 PM - Sergey Belogurov

Похоже, что  нашелся исходный кодв Джеант и этот код выглядит разумным. 

http://www-geant4.kek.jp/lxr/source/particles/management/src/G4NucleiPropertiesTableAME12.cc#L864   

Еще есть вариант (понять бы, как они соотносятся)

http://www-geant4.kek.jp/lxr/source/particles/management/src/G4NuclideTable.cc#L176

при создании ионов используется последняя ссылка, как нас учит Павел Шаров. Первая ссылка для расчета сечений вщаимодействий на

ядрах используется.  Массы должны совпадать.

#2 - 07/14/2018 10:48 AM - Sergey Belogurov

- Assignee changed from Vitaliy Schetinin to Mikhail Kozlov

Миш, это вы тоже научились контролировать. Напишите сюда!

#3 - 07/15/2018 04:00 PM - Mikhail Kozlov

Пока что могу только самым очевидным образом доставать значение массы в МэВ при помощи G4IonTable::GetIonTable()->GetIonMass(z, a,

0).

Выводиться оно будет в ходе инициализации частиц в генераторе ионов.

Какие есть варианты подобраться к изменению массы в GEANT, я не исследовал еще. 

#4 - 07/16/2018 12:32 AM - Sergey Belogurov

Для тупых надо пример макроса с микс генератором и вызовом G4IonTable::GetIonTable()->GetIonMass(z, a, 0).

Изменять массу, которую дает джеант пока что не актуально (нет достоверно установленной ситуации, когда Жеант приписывает

неправильное значение основному состоянию). Достаточно контролировать массу
. 

#5 - 06/05/2019 04:01 PM - Vitaliy Schetinin

- Status changed from Открыта to Закрыта

- % Done changed from 0 to 100

Работа с массой перенсена в новый класс ERParticle: https://github.com/ExpertRootGroup/er/blob/332_interaction_reco/data/ERParticle.cxx#L53

С помощью данного класса можно: навязать иону свою массу, определить массу по G4IonTable и G4ParticleTable, вывести в поток вывода

принятую массу частицы
